Package org.kie.api.runtime.query

## Class QueryContext

- java.lang.Object
- - org.kie.api.runtime.query.QueryContext

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `AdvancedQueryContext`

      public class QueryContext
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.Boolean` | `ascending` |
    `protected java.lang.Integer` | `count` |
    `protected java.lang.Integer` | `offset` |
    `protected java.lang.String` | `orderBy` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryContext()` |
    `QueryContext​(java.lang.Integer offset, java.lang.Integer count)` |
    `QueryContext​(java.lang.Integer offset, java.lang.Integer count, java.lang.String orderBy, boolean asc)` |
    `QueryContext​(java.lang.String orderBy, boolean asc)` |
    `QueryContext​(QueryContext queryContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `java.lang.Integer` | `getCount()` |
    `java.lang.Integer` | `getOffset()` |
    `java.lang.String` | `getOrderBy()` |
    `java.lang.Boolean` | `isAscending()` |
    `void` | `setAscending​(java.lang.Boolean ascending)` |
    `void` | `setCount​(java.lang.Integer count)` |
    `void` | `setOffset​(java.lang.Integer offset)` |
    `void` | `setOrderBy​(java.lang.String orderBy)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected java.lang.Integer offset

    - #### count

          protected java.lang.Integer count

    - #### orderBy

          protected java.lang.String orderBy

    - #### ascending

          protected java.lang.Boolean ascending

  - ### Constructor Detail

    - #### QueryContext

          public QueryContext()

    - #### QueryContext

          public QueryContext​(QueryContext queryContext)

    - #### QueryContext

          public QueryContext​(java.lang.Integer offset,
                              java.lang.Integer count)

    - #### QueryContext

          public QueryContext​(java.lang.String orderBy,
                              boolean asc)

    - #### QueryContext

          public QueryContext​(java.lang.Integer offset,
                              java.lang.Integer count,
                              java.lang.String orderBy,
                              boolean asc)

  - ### Method Detail

    - #### getOffset

          public java.lang.Integer getOffset()

    - #### setOffset

          public void setOffset​(java.lang.Integer offset)

    - #### getCount

          public java.lang.Integer getCount()

    - #### setCount

          public void setCount​(java.lang.Integer count)

    - #### getOrderBy

          public java.lang.String getOrderBy()

    - #### setOrderBy

          public void setOrderBy​(java.lang.String orderBy)

    - #### isAscending

          public java.lang.Boolean isAscending()

    - #### setAscending

          public void setAscending​(java.lang.Boolean ascending)

    - #### clear

          public void clear()